Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » B3 » Can B3 Aggregator be installed in Helios SR2?
Can B3 Aggregator be installed in Helios SR2? [message #654513] Wed, 16 February 2011 02:08 Go to next message
Michael Pellaton is currently offline Michael Pellaton
Messages: 289
Registered: July 2009
Senior Member
Hi

I am trying to install the B3 Aggregator from the update site [1] into
Eclipse 3.6.2RC4 without luck. I am getting this error message:

Cannot complete the install because of a conflicting dependency.
Software being installed: b3 Aggregator Editor (Incubation)
0.1.0.r01418 (org.eclipse.b3.aggregator.editor.feature.feature.group
0.1.0.r01418)
Software currently installed: Eclipse SDK 3.6.2.M20110210-1200
(org.eclipse.sdk.ide 3.6.2.M20110210-1200)
Only one of the following can be installed at once:
Core Resource Management 3.6.1.R36x_v20110131-1630
(org.eclipse.core.resources 3.6.1.R36x_v20110131-1630)
Core Resource Management 3.6.0.R36x_v20100825-0600
(org.eclipse.core.resources 3.6.0.R36x_v20100825-0600)
Cannot satisfy dependency:
From: b3 Aggregator Editor (Incubation) 0.1.0.r01418
(org.eclipse.b3.aggregator.editor.feature.feature.group 0.1.0.r01418)
To: org.eclipse.b3.aggregator.engine.feature.feature.group
[0.1.0.r01418]
Cannot satisfy dependency:
From: b3 Aggregator Engine (Incubation) 0.1.0.r01418
(org.eclipse.b3.aggregator.engine.feature.feature.group 0.1.0.r01418)
To: org.eclipse.core.resources [3.6.0.R36x_v20100825-0600]

As it looks to me, B3 has a very thigth version constraint on
core.resources and SR2 seems to be out of that range - despite the
promise that SRs are supposed to be binary compatible :-(


Is there a separate update site for Helios SR2?

[1] http://download.eclipse.org/modeling/emft/b3/updates-3.6

Thanks
Michael
Re: Can B3 Aggregator be installed in Helios SR2? [message #654514 is a reply to message #654513] Wed, 16 February 2011 02:18 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
SR2 isn't released yet. We have no plans supporting the individual release candidates.

- thomas

On 2011-02-16 08:08, Michael Pellaton wrote:
> Hi
>
> I am trying to install the B3 Aggregator from the update site [1] into
> Eclipse 3.6.2RC4 without luck. I am getting this error message:
>
> Cannot complete the install because of a conflicting dependency.
> Software being installed: b3 Aggregator Editor (Incubation)
> 0.1.0.r01418 (org.eclipse.b3.aggregator.editor.feature.feature.group
> 0.1.0.r01418)
> Software currently installed: Eclipse SDK 3.6.2.M20110210-1200
> (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
> Only one of the following can be installed at once:
> Core Resource Management 3.6.1.R36x_v20110131-1630
> (org.eclipse.core.resources 3.6.1.R36x_v20110131-1630)
> Core Resource Management 3.6.0.R36x_v20100825-0600
> (org.eclipse.core.resources 3.6.0.R36x_v20100825-0600)
> Cannot satisfy dependency:
> From: b3 Aggregator Editor (Incubation) 0.1.0.r01418
> (org.eclipse.b3.aggregator.editor.feature.feature.group 0.1.0.r01418)
> To: org.eclipse.b3.aggregator.engine.feature.feature.group
> [0.1.0.r01418]
> Cannot satisfy dependency:
> From: b3 Aggregator Engine (Incubation) 0.1.0.r01418
> (org.eclipse.b3.aggregator.engine.feature.feature.group 0.1.0.r01418)
> To: org.eclipse.core.resources [3.6.0.R36x_v20100825-0600]
>
> As it looks to me, B3 has a very thigth version constraint on
> core.resources and SR2 seems to be out of that range - despite the
> promise that SRs are supposed to be binary compatible :-(
>
>
> Is there a separate update site for Helios SR2?
>
> [1] http://download.eclipse.org/modeling/emft/b3/updates-3.6
>
> Thanks
> Michael
Re: Can B3 Aggregator be installed in Helios SR2? [message #654529 is a reply to message #654514] Wed, 16 February 2011 03:24 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
That said, I couldn't really understand why you'd get a conflict so I checked deeper and found some (a lot actually)
unnecessary version constraints in our features. They are removed now and the site has been rebuilt so it's highly
likely that you will be able to install now.

- thomas

On 2011-02-16 08:18, Thomas Hallgren wrote:
> SR2 isn't released yet. We have no plans supporting the individual release candidates.
>
> - thomas
>
> On 2011-02-16 08:08, Michael Pellaton wrote:
>> Hi
>>
>> I am trying to install the B3 Aggregator from the update site [1] into
>> Eclipse 3.6.2RC4 without luck. I am getting this error message:
>>
>> Cannot complete the install because of a conflicting dependency.
>> Software being installed: b3 Aggregator Editor (Incubation)
>> 0.1.0.r01418 (org.eclipse.b3.aggregator.editor.feature.feature.group
>> 0.1.0.r01418)
>> Software currently installed: Eclipse SDK 3.6.2.M20110210-1200
>> (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
>> Only one of the following can be installed at once:
>> Core Resource Management 3.6.1.R36x_v20110131-1630
>> (org.eclipse.core.resources 3.6.1.R36x_v20110131-1630)
>> Core Resource Management 3.6.0.R36x_v20100825-0600
>> (org.eclipse.core.resources 3.6.0.R36x_v20100825-0600)
>> Cannot satisfy dependency:
>> From: b3 Aggregator Editor (Incubation) 0.1.0.r01418
>> (org.eclipse.b3.aggregator.editor.feature.feature.group 0.1.0.r01418)
>> To: org.eclipse.b3.aggregator.engine.feature.feature.group
>> [0.1.0.r01418]
>> Cannot satisfy dependency:
>> From: b3 Aggregator Engine (Incubation) 0.1.0.r01418
>> (org.eclipse.b3.aggregator.engine.feature.feature.group 0.1.0.r01418)
>> To: org.eclipse.core.resources [3.6.0.R36x_v20100825-0600]
>>
>> As it looks to me, B3 has a very thigth version constraint on
>> core.resources and SR2 seems to be out of that range - despite the
>> promise that SRs are supposed to be binary compatible :-(
>>
>>
>> Is there a separate update site for Helios SR2?
>>
>> [1] http://download.eclipse.org/modeling/emft/b3/updates-3.6
>>
>> Thanks
>> Michael
>
Re: Can B3 Aggregator be installed in Helios SR2? [message #654560 is a reply to message #654529] Wed, 16 February 2011 05:12 Go to previous messageGo to next message
Michael Pellaton is currently offline Michael Pellaton
Messages: 289
Registered: July 2009
Senior Member
Hello Thomas

Thank you for the very quick response!

Unfortunately, I get another error now:

Missing requirement: org.eclipse.b3.aggregator.engine 0.1.0.r01423
requires 'bundle org.kohsuke.args4j [2.0.0,3.0.0)' but it could not be found

Any hint where to get that from?

Thanks
Michael
Re: Can B3 Aggregator be installed in Helios SR2? [message #654572 is a reply to message #654560] Wed, 16 February 2011 05:38 Go to previous messageGo to next message
Michael Pellaton is currently offline Michael Pellaton
Messages: 289
Registered: July 2009
Senior Member
BTW: same problem now with Eclipse 3.6.1 SDK.
Re: Can B3 Aggregator be installed in Helios SR2? [message #654573 is a reply to message #654560] Wed, 16 February 2011 06:15 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
Arrgh. I forgot to include that one. As a workaround, please include this repository when you install.

http://download.eclipse.org/tools/orbit/downloads/drops/R201 00519200754/repository

- thomas

On 2011-02-16 11:12, Michael Pellaton wrote:
> Hello Thomas
>
> Thank you for the very quick response!
>
> Unfortunately, I get another error now:
>
> Missing requirement: org.eclipse.b3.aggregator.engine 0.1.0.r01423
> requires 'bundle org.kohsuke.args4j [2.0.0,3.0.0)' but it could not be found
>
> Any hint where to get that from?
>
> Thanks
> Michael
Re: Can B3 Aggregator be installed in Helios SR2? [message #654577 is a reply to message #654573] Wed, 16 February 2011 06:42 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
Should be OK again now.

- thomas

On 2011-02-16 12:15, Thomas Hallgren wrote:
> Arrgh. I forgot to include that one. As a workaround, please include this repository when you install.
>
> http://download.eclipse.org/tools/orbit/downloads/drops/R201 00519200754/repository
>
> - thomas
>
> On 2011-02-16 11:12, Michael Pellaton wrote:
>> Hello Thomas
>>
>> Thank you for the very quick response!
>>
>> Unfortunately, I get another error now:
>>
>> Missing requirement: org.eclipse.b3.aggregator.engine 0.1.0.r01423
>> requires 'bundle org.kohsuke.args4j [2.0.0,3.0.0)' but it could not be found
>>
>> Any hint where to get that from?
>>
>> Thanks
>> Michael
>
Re: Can B3 Aggregator be installed in Helios SR2? [message #654593 is a reply to message #654577] Wed, 16 February 2011 07:22 Go to previous messageGo to next message
Michael Pellaton is currently offline Michael Pellaton
Messages: 289
Registered: July 2009
Senior Member
Hi

It works with 3.6.2 now - thanks for fixing it!

Michael
Re: Can B3 Aggregator be installed in Helios SR2? [message #990251 is a reply to message #654593] Tue, 11 December 2012 10:39 Go to previous messageGo to next message
Andrew Kwan is currently offline Andrew Kwan
Messages: 1
Registered: December 2012
Junior Member
Dear Thomas,

Like Michael, I am currently running Helios SR2 and trying to install EGit / JGit. I am still an amateur with Eclipse, have lots of plugins and so would be hesitant to upgrade from Helios.

I had a similar issue as Michael with missing org.kohsuke.args4j. Error message is as follows:

"Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse JGit Command Line Interface 2.1.0.201209190230-r (org.eclipse.jgit.pgm.feature.group 2.1.0.201209190230-r)
Missing requirement: Eclipse JGit Command Line Interface 2.1.0.201209190230-r (org.eclipse.jgit.pgm.feature.group 2.1.0.201209190230-r) requires 'org.kohsuke.args4j [2.0.0,3.0.0)' but it could not be found"

What should I do? I'm thinking about downloading the args4j jar directly from http://download.eclipse.org/tools/orbit/downloads/drops/R20120526062928/ . In that case, what are the steps to put the jar where the installation step above is expecting it?

Any better solutions short of upgrading from Helios?

Thank you so much for your help.

Andrew

Re: Can B3 Aggregator be installed in Helios SR2? [message #990396 is a reply to message #990251] Wed, 12 December 2012 04:52 Go to previous message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
Hi Andrew,

You can find our archived update sites for the 3.6 (Helios) platform here:

http://archive.eclipse.org/modeling/emft/b3/archivedsites-3.6/

3.7 (Indigo):

http://archive.eclipse.org/modeling/emft/b3/archivedsites-3.7/

4.2 (Juno):

http://archive.eclipse.org/modeling/emft/b3/archivedsites-4.2/

HTH,

- thomas

On 2012-12-11 19:13, Andrew Kwan wrote:
> Dear Thomas,
>
> Like Michael, I am currently running Helios SR2 and trying to install
> EGit / JGit. I am still an amateur with Eclipse, have lots of plugins
> and so would be hesitant to upgrade from Helios.
>
> I had a similar issue as Michael with missing org.kohsuke.args4j. Error
> message is as follows:
>
> "Cannot complete the install because one or more required items could
> not be found.
> Software being installed: Eclipse JGit Command Line Interface
> 2.1.0.201209190230-r (org.eclipse.jgit.pgm.feature.group
> 2.1.0.201209190230-r)
> Missing requirement: Eclipse JGit Command Line Interface
> 2.1.0.201209190230-r (org.eclipse.jgit.pgm.feature.group
> 2.1.0.201209190230-r) requires 'org.kohsuke.args4j [2.0.0,3.0.0)' but it
> could not be found"
>
> What should I do? I'm thinking about downloading the args4j jar directly
> from
> http://download.eclipse.org/tools/orbit/downloads/drops/R20120526062928/
> . In that case, what are the steps to put the jar where the installation
> step above is expecting it?
> Any better solutions short of upgrading from Helios?
>
> Thank you so much for your help.
>
> Andrew
>
>
Previous Topic:problem mirroring Juno after SR1
Next Topic:Unable to unpack artifact when building
Goto Forum:
  


Current Time: Mon Jul 28 14:29:31 EDT 2014

Powered by FUDForum. Page generated in 0.04296 seconds